;----------------------------------------------------------------------------
;    MODULE NAME:   REXXTRAP.X
;
;        $Author:   Dennis  $
;      $Revision:   1.0  $
;          $Date:   13 Nov 2000 18:11:28  $
;       $Logfile:   C:/DBAREIS/Projects.PVCS/MultiOs/rexxhdr/REXXTRAP.X.pvcs  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "REXXTRAP.XH".
;
;                   Compile with "ppwizard REXXTRAP.X"
;----------------------------------------------------------------------------

/*
 * $Header:   C:/DBAREIS/Projects.PVCS/MultiOs/rexxhdr/REXXTRAP.X.pvcs   1.0   13 Nov 2000 18:11:28   Dennis  $
 */


/*--- Add trap handler for SYNTAX & NOVALUE errors --------------------------*/
#define  REXXTRAP_LINEOUT           SayAndDebugLine
#include "RexxTrap.XH"

/*--- Some code -------------------------------------------------------------*/
A = 1;
B = 2;

/*--- This line will fail ("cal" should be "call") --------------------------*/
Fred = 1; cal SomeRoutine Fred;

/*--- Return with number of changes made ------------------------------------*/
exit(0);




/*===========================================================================*/
SayAndDebugLine:
/*===========================================================================*/
   /*--- Doesn't do any more than default handler! --------------------------*/
   say arg(1);
   return;
